# -*- encoding: utf-8 -*-
# stub: io_splice 4.4.2 ruby lib
# stub: ext/io_splice/extconf.rb

Gem::Specification.new do |s|
  s.name = "io_splice".freeze
  s.version = "4.4.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Ruby io_splice hackers".freeze]
  s.date = "2020-02-22"
  s.description = "The splice family of Linux system calls can transfer data between file\ndescriptors without the need to copy data into userspace.  Instead of a\nuserspace buffer, they rely on an ordinary Unix pipe as a kernel-level\nbuffer.  The `splice' and `tee' syscalls are also provided by the\n{sleepy_penguin}[https://yhbt.net/sleepy_penguin/] library.\n\"io_splice\" remains maintained for old applications or users\nexperimenting with the vmsplice syscalls".freeze
  s.email = "ruby-io-splice@yhbt.net".freeze
  s.extensions = ["ext/io_splice/extconf.rb".freeze]
  s.extra_rdoc_files = ["README".freeze, "LICENSE".freeze, "NEWS".freeze, "ext/io_splice/io_splice_ext.c".freeze]
  s.files = ["LICENSE".freeze, "NEWS".freeze, "README".freeze, "ext/io_splice/extconf.rb".freeze, "ext/io_splice/io_splice_ext.c".freeze]
  s.homepage = "https://yhbt.net/ruby_io_splice/".freeze
  s.licenses = ["LGPL".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "zero-copy pipe I/O for Linux and Ruby (deprecated)".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version
end
